package com.yunniu.farming.webadmin.service;

import com.yunniu.farming.webadmin.model.GroupOrder;
import com.yunniu.farming.webadmin.model.OrderMain;
import com.yunniu.farming.webadmin.model.OrderSub;

import java.util.List;

/**
 * @author zyf
 * @date 2023/5/16
 * @apiNote
 */
public interface GroupOrderService {

    GroupOrder addGroupOrder(OrderMain item);

    List<GroupOrder> findPageList(GroupOrder item);

    GroupOrder findById(Long id);

    List<OrderMain> userList(OrderMain item);
    /**
     * 购买商品列表
     * @param item 用户列表id
     * @return
     */
    List<OrderSub> productList(OrderSub item);

    boolean updateRefundStatus(String outRefundNo);

    int sendOutGoods(Long id, String remark);

    int successOrder(Long id);
}
